# Uses of Interface
net.shibboleth.idp.plugin.authn.webauthn.storage.impl.WebAuthnJDBCQueryAccelerator

Packages that use WebAuthnJDBCQueryAccelerator
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.storage.impl
This package has storage implementations for WebAuthn.

## Uses of WebAuthnJDBCQueryAccelerator in net.shibboleth.idp.plugin.authn.webauthn.storage.impl

Classes in net.shibboleth.idp.plugin.authn.webauthn.storage.impl that implement WebAuthnJDBCQueryAccelerator
Modifier and Type
Class
Description
`final class`
`WebAuthnJDBCAcceleratorImpl`
Implementation of a `WebAuthnJDBCQueryAccelerator` and `WebAuthnJDBCReadAllAccelerator` that uses specialized queries to lookup credentials by userHandle and credentialId.
Fields in net.shibboleth.idp.plugin.authn.webauthn.storage.impl declared as WebAuthnJDBCQueryAccelerator
Modifier and Type
Field
Description
`private final WebAuthnJDBCQueryAccelerator`
QueryByCredentialIdStrategy.`queryAccelerator`
The query accelerator used to lookup credentials.
`private final WebAuthnJDBCQueryAccelerator`
QueryByUserHandleStrategy.`queryAccelerator`
The query accelerator used to lookup credentials.
Methods in net.shibboleth.idp.plugin.authn.webauthn.storage.impl with parameters of type WebAuthnJDBCQueryAccelerator
Modifier and Type
Method
Description
`void`
StorageServiceCredentialRepositoryFactory.`setJdbcAccelerator(WebAuthnJDBCQueryAccelerator accelerator)`
Set a JDBC based storage service accelerator which improves the performance of specific WebAuthn queries.
Constructors in net.shibboleth.idp.plugin.authn.webauthn.storage.impl with parameters of type WebAuthnJDBCQueryAccelerator
Modifier
Constructor
Description
``
`QueryByCredentialIdStrategy(WebAuthnJDBCQueryAccelerator accelerator)`
Constructor.
``
`QueryByUserHandleStrategy(WebAuthnJDBCQueryAccelerator accelerator)`
Constructor.